/*
 * NQueenBasicSolver.java
 *
 * Created on May 21, 2003, 7:41 PM
 */
import agent.*;
/**
 *
 * @author  Natanael Maia
 */
public class NQueenQuickIncremental {
    
    private NQueenSolverAgent agent;
    
    /** Creates a new instance of NQueenBasicSolver */
    public NQueenQuickIncremental() {
        
    }
    
    public void quickSolve(int n) {
        int tipoFormulacao = NQueenSolverAgent.N_QUEEN_QUICK_INCREMENTAL;
        while (true) {
            long tStart, tElapsed;
            agent = new NQueenSolverAgent(n, tipoFormulacao);
            tStart = System.currentTimeMillis();
            agent.solve();
            tElapsed = System.currentTimeMillis() - tStart;
            System.out.println("QUICK INCREMENTAL: \tN="+n+" \tPassos="+SearchMethod.getNumberOfSteps()+ " \tTempo=" + tElapsed + " ms");
            SearchMethod.resetSteps();
            n++;
        }
    }
    
    public static void main(String args[]) {
        NQueenQuickIncremental solver = new NQueenQuickIncremental();
        solver.quickSolve(4);
    }
}
