package agent;

public class State {
    
    private int n;
    private int[] variables;
    
    
    public State() {
        
    }
    
    public State(int n) {
        setN(n);
    }

    public State(int[] variables) {
        setN(variables.length);
        setVariables(variables);
    }    
    /** Getter for property variables.
     * @return Value of property variables.
     */
    public int[] getVariables() {
        return this.variables;
    }
    
    /** Setter for property variables.
     * @param variables New value of property variables.
     */
    public void setVariables(int[] variables) {
        this.variables = (int[]) variables.clone();
    }
    
    /** Getter for property n.
     * @return Value of property n.
     */
    public int getN() {
        return n;
    }
    
    /** Setter for property n.
     * @param n New value of property n.
     */
    public void setN(int n) {
        this.n = n;
        setVariables(new int[n]);
    }
/*
    public void printVariables() {
        //System.out.println("variables.length: "+variables.length);
        for (int i=0; i<variables.length; i++) {
            System.out.print(variables[i] + " ");
        }
        System.out.println();
    }
*/
    public String toString() {
        String variablesTXT = "";
        for (int i=0; i<variables.length; i++) {
            variablesTXT += variables[i] + " ";
        }
        return variablesTXT;
    }
    
    public String getKey(){
        return toString();
    }
}
