package queue;

import java.util.*;

public class Queue {
    
    private final ArrayList queue;
    private int maiorTamanho = 0;
    
    public Queue() {
        queue = new ArrayList();
    }
    
    public boolean isEmpty() {
        return (queue.size() <= 0);
    }
    
    public Object removeFront() {
        Object element = queue.get(0);
        queue.remove(0);
        return element;
    }
    
    public void insertElementsFront(Collection elements) {
        if (elements != null) {
            Iterator iter = elements.iterator();
            while (iter.hasNext()) {
                insertElementFront(iter.next());
            }
        }
    }
    
    public void insertElementFront(Object element) {
        if (element != null) {
            queue.add(0, element);
/*
            if (getSize() > maiorTamanho) {
                maiorTamanho = getSize();
                System.out.println("tamanho: " + maiorTamanho);
            }
 */
        }
    }
    
    public void insertElementsBack(Collection elements) {
        if (elements != null) {
            Iterator iter = elements.iterator();
            while (iter.hasNext()) {
                insertElementBack(iter.next());
            }
/*
            if (getSize() > maiorTamanho) {
                maiorTamanho = getSize();
                System.out.println("tamanho: " + maiorTamanho);
            }
 */
        }
    }
    
    public void insertElementBack(Object element) {
        if (element != null) {
            queue.add(element);
        }
    }
    
    public int getSize() {
        return queue.size();
    }
}
